6.0.0-git
2019-07-15

[#14346] Error log after INSERT is not right
Summary Error log after INSERT is not right
Queue Ingo
Queue Version 3.2.10
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester ibon.igartua (at) ehu (dot) eus
Created 2016-04-29 (1172 days ago)
Due 04/29/2016 (1172 days ago)
Updated 2017-10-20 (633 days ago)
Assigned 2016-04-29 (1172 days ago)
Resolved 2016-05-03 (1168 days ago)
Milestone
Patch No

History
2017-10-20 20:33:41 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 3616080cd3e1a37a866ade6818799b25e08c89f3
Author: ibon.igartua@ehu.eus <ibon.igartua@ehu.eus>
Date:   Mon, 02 May 2016 22:10:57 -0400

Bug: 14346  Log the error, not the result.

Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  M lib/Storage/Sql.php

https://github.com/horde/ingo/commit/3616080cd3e1a37a866ade6818799b25e08c89f3
2016-05-03 02:15:13 Michael Rubinsky Comment #2
State ⇒ Resolved
Reply to this comment
2016-04-29 19:37:15 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2016-04-29 11:36:54 ibon (dot) igartua (at) ehu (dot) eus Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Error log after INSERT is not right
Due ⇒ 2016-04-29
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
After adding a new address into the whitelist/blacklist the error log 
in case of a db exception after the db INSERT is printing the result 
of the query and not the error info.

I would suggest the following change at ingo/lib/Storage/Sql.php:238
<                  Horde::log($result, 'ERR');
                  Horde::log($e, 'ERR');

Saved Queries